package com.ruoyi.web.work.domain;

import java.sql.Timestamp;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.experimental.Accessors;
/**
 * @author lsw
 * @date 2024-07-19
 */
@Data
@TableName(value = "tb_next_of_kin")
@Accessors(chain = true)
public class NextOfKin{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "卫宁患者id")
    private Long wnPatId;

    @ApiModelProperty(value = "近亲姓名")
    private String name;

    @ApiModelProperty(value = "患者id")
    private Long patId;

    @ApiModelProperty(value = "近亲关系 SEL 自己 SPO 配偶 CHD 孩子 MTH 母亲 FTH 父亲 SIB 同胞 BRO 兄弟 SIS 姐妹 FND 朋友 EMR 雇主 OTH 其他")
    private String kinship;

    @ApiModelProperty(value = "近亲地址")
    private String address;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "工作名称")
    private String workName;

    @ApiModelProperty(value = "工作类别")
    private String workCode;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp createTime;

    @TableField(fill = FieldFill.UPDATE)
    private Timestamp updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp updateTime;


}
