package com.ruoyi.web.work.domain;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.experimental.Accessors;

import java.sql.Timestamp;

/**
 * @author lsw
 * @date 2024-07-24
 */
@Data
@TableName(value = "tb_orc_report")
@Accessors(chain = true)
public class Report{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "就诊卡号")
    private String cardId;

    @ApiModelProperty(value = "医嘱操作码")
    private String operation;

    @ApiModelProperty(value = "申请单序号")
    private String applicationNo;

    @ApiModelProperty(value = "医嘱组号")
    private String orderGroupNumber;

    @ApiModelProperty(value = "医嘱确认状态：0需确认 1已确认")
    private String orderStatus;

    @ApiModelProperty(value = "医嘱明细数量")
    private String orderDetailsNumber;

    @ApiModelProperty(value = "医嘱录入者代码")
    private String orderInputerCode;

    @ApiModelProperty(value = "医嘱录入者")
    private String orderInputer;

    @ApiModelProperty(value = "录入标志 0-his 系统，1-医技系统")
    private String sign;

    @ApiModelProperty(value = "申请人信息代码")
    private String orderApplicantCode;

    @ApiModelProperty(value = "申请人信息名称")
    private String orderApplicantName;

    @ApiModelProperty(value = "医嘱生效日期")
    private Timestamp effectiveDate;

    @ApiModelProperty(value = "医嘱确认代码")
    private String orderConfirmCode;

    @ApiModelProperty(value = "医嘱确认姓名")
    private String orderConfirmName;

    @ApiModelProperty(value = "医嘱确认科室编码")
    private String departmentCode;

    @ApiModelProperty(value = "医嘱确认科室名称")
    private String departmentName;


}
