package com.ruoyi.web.work.domain;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.experimental.Accessors;

import java.sql.Timestamp;

/**
 * @author lsw
 * @date 2024-07-23
 */
@Data
@TableName(value = "tb_obr_request")
@Accessors(chain = true)
public class Request{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "就诊卡号")
    private String cardId;

    @ApiModelProperty(value = "医嘱操作码")
    private String orcId;

    @ApiModelProperty(value = "医嘱明细序号")
    private String medOrderCode;

    @ApiModelProperty(value = "报告单号")
    private String reportNo;

    @ApiModelProperty(value = "医技号")
    private String medOrderNo;

    @ApiModelProperty(value = "医技项目信息")
    private String medTechProInfo;

    @ApiModelProperty(value = "医技项目名称")
    private String medTechProName;

    @ApiModelProperty(value = "报告单类别名称")
    private String reportClass;

    @ApiModelProperty(value = "医嘱申请时间")
    private Timestamp medOrderAppTime;

    @ApiModelProperty(value = "检验或检查开始时间")
    private String chkStartTime;

    @ApiModelProperty(value = "危机报告标志")
    private String reportStatus;

    @ApiModelProperty(value = "检查部位或样本名称")
    private String examinePart;

    @ApiModelProperty(value = "申请医生代码")
    private String appEmployeeId;

    @ApiModelProperty(value = "申请医生姓名")
    private String appEmployeeName;

    @ApiModelProperty(value = "申请科室代码")
    private String appDeptCode;

    @ApiModelProperty(value = "申请科室名称")
    private String appDeptName;

    @ApiModelProperty(value = "执行科室代码")
    private String executeDeptCode;

    @ApiModelProperty(value = "执行科室名称")
    private String executeDeptName;

    @ApiModelProperty(value = "发布时间")
    private Timestamp releaseTime;

    @ApiModelProperty(value = "报告单类别编码")
    private String repTypeCode;

    @ApiModelProperty(value = "结果标志")
    private String resultFlag;

    @ApiModelProperty(value = "报告类型")
    private String repType;

    @ApiModelProperty(value = "报告审核Id")
    private String checkEmployeeId;

    @ApiModelProperty(value = "报告审核者")
    private String checkEmployeeName;

    @ApiModelProperty(value = "审核日期")
    private Timestamp checkTime;

    @ApiModelProperty(value = "报告发布者id")
    private String publisherEmployeeId;

    @ApiModelProperty(value = "报告发布者")
    private String publisherEmployeeName;

    @ApiModelProperty(value = "发布时间")
    private Timestamp publisherTime;

    @ApiModelProperty(value = "报告录入人ID")
    private String reportEntryId;

    @ApiModelProperty(value = "报告录入人名称")
    private String reportEntryName;

    @ApiModelProperty(value = "报告单日期")
    private Timestamp enterTime;

    @ApiModelProperty(value = "预约单号")
    private String bookingNo;



}
